From d87fe7325f1095452d5129c312e4cb50fad22655 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 35/48] migrate ModuleFilter to TreeObj/RPMsMixin


---

diff --git a/modulemd/filter.py b/modulemd/filter.py
index 630d9c3..c1e47a7 100644
--- a/modulemd/filter.py
+++ b/modulemd/filter.py
@@ -22,78 +22,22 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
+from .legacy_wrappers import TreeObj, RPMsMixin
+
+
 supported_content = ("rpms",)
 
-from gi.repository import Modulemd
 
-class ModuleFilter(object):
+class ModuleFilter(TreeObj, RPMsMixin):
     """Class representing a particular module filter."""
 
-    def __init__(self, parent=None):
-        """Creates a new ModuleFilter instance."""
-        self.rpms = set()
-        self.parent = parent
+    tree_identity = 'filter'
 
     def __repr__(self):
         return "<ModuleFilter: rpms: {!r}>".format(sorted(self.rpms))
 
-    def __bool__(self):
-        return True if self.rpms else False
-
-    __nonzero__ = __bool__
-
-    @property
-    def rpms(self):
-        """A set of binary RPM packages defining this module's filter."""
-        return self._rpms
-
-    @rpms.setter
-    def rpms(self, ss):
-        if not isinstance(ss, set):
-            raise TypeError("filter.rpms: data type not supported")
-        for v in ss:
-            if not isinstance(v, str):
-                raise TypeError("filter.rpms: data type not supported")
-        self._rpms = ss
-
-        if hasattr(self, 'parent'):
-            ss = Modulemd.SimpleSet()
-            ss.set(list(self.rpms))
-            self.parent.module.set_rpm_filter(ss)
-
-    def add_rpm(self, s):
-        """Adds a binary RPM package to the filter set.
-
-        :param str s: Binary RPM package name
-        """
-        if not isinstance(s, str):
-            raise TypeError("filter.add_rpm: data type not supported")
-        self._rpms.add(s)
-
-        if hasattr(self, 'parent'):
-            ss = Modulemd.SimpleSet()
-            ss.set(list(self.rpms))
-            self.parent.module.set_rpm_filter(ss)
-
-    def del_rpm(self, s):
-        """Removes the supplied package name from the filter package set.
-
-        :param str s: Binary RPM package name
-        """
-        if not isinstance(s, str):
-            raise TypeError("filter.del_rpm: data type not supported")
-        self._rpms.discard(s)
-
-        if hasattr(self, 'parent'):
-            ss = Modulemd.SimpleSet()
-            ss.set(list(self.rpms))
-            self.parent.module.set_rpm_filter(ss)
-
-    def clear_rpms(self):
-        """Clear the filter binary RPM package set."""
-        self._rpms.clear()
+    def get_rpm_set(self):
+        return self.parent.module.get_rpm_filter()
 
-        if hasattr(self, 'parent'):
-            ss = Modulemd.SimpleSet()
-            ss.set(list(self.rpms))
-            self.parent.module.set_rpm_filter(ss)
+    def set_rpm_set(self, ss):
+        self.parent.module.set_rpm_filter(ss)

